/*
 * GestionTelefonos.java
 *
 * Created on 8 de noviembre de 2007, 11:29
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package modelo;

import java.sql.*;
import java.util.*;
public class GestionTelefonos {    
    Datos dt;
    public GestionTelefonos(String driver, String cadenacon) {
        dt=new Datos(driver,cadenacon);
    }
    //devuelve una colecci�n con todos los telefonos
    //asociados al usuario
    public ArrayList<Integer> getTelefonos(String password){
        ArrayList<Integer> numeros=new ArrayList<Integer>();
        try{
         Connection cn=dt.getConexion();
         String query = "select telefono from telefonos where fkpassword ='";
         query+=password+"'";
         Statement st =cn.createStatement();
         ResultSet rs = st.executeQuery(query); 
         while(rs.next()){
             numeros.add(rs.getInt("telefono"));
         }
         dt.cierraConexion(cn);
        }
         catch(Exception e){
             e.printStackTrace();
         }
        finally{
            return numeros;
        }
    }
}
